Create a snapshot for a cloud instance
POST/v1/cloud_computing/regions/{region_id}/snapshots
To create a snapshot, specify a cloud region in the path parameter, give it a name, identify the instance in the request body, and send a POST request to the /v1/cloud_computing/regions/{region_id}/snapshots endpoint.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
| Field | Details |
|---|---|
region_id | stringA unique identifier of a cloud region. To get a list of IDs, go to the relevant request in the Cloud Region section. |
Request Body
| Field | Details |
|---|---|
name | stringGive a name to a snapshot. |
instance_id | stringA unique identifier of a cloud instance. |
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/cloud_computing/regions/0/snapshots" \ -H "Content-Type: application/json" \ -d '{ "name": "name1331", "instance_id": "K9b68neE" }'{ "id": "40dc8f83-e061-4d27-9d83-5a04029d1cea", "name": "name1331", "image_size": 0, "min_disk": 0, "status": "pending", "is_backup": false, "file_url": "http://example.com/264/images/40dc8f83-e061-4d27-9d83-5a04029d1cea/file"}